fnameS = [
  "John",
  "Gringo",
  "Mark",
  "Lisa",
  "Maria",
  "Sonya",
  "Philip",
  "Jose",
  "Lorenzo",
  "George",
  "Justin",
];

lnameS = [
  "Johnson",
  "Lamas",
  "Jackson",
  "Brown",
  "Mason",
  "Rodriguez",
  "Roberts",
  "Thomas",
  "Rose",
  "McDonalds",
];

domain = ["hotmail.com", "gmail.com", "live.com"];
fname = [];
lname = [];
email = [];
i = 0;
while (i < 100) {
  fname.push(fnameS[Math.floor(Math.random() * 10)]);
  lname.push(lnameS[Math.floor(Math.random() * 9)]);
  email.push(
    `${fname[i]}.${lname[i]}@${domain[Math.floor(Math.random() * 2)]}`,
  );
  i++;
}

today = new Date();
for (let i = 0; i < email.length; i++) {
  for (let j = 0; j < Math.floor(Math.random() * 20); j++) {
    let m = Math.random() * (8 - 0.25) + 0.25;
    m.toFixed(2);
    console.log(
      fname[i],
      m,
      `${today.getFullYear()}-${today.getMonth() + 1}-${today.getDate()}`,
    );
    today.setDate(today.getDate() + 1);
  }
}
